/Page/Variable/{id} (PUT)
PUT
/Page/Variable/{id}
const url = 'https://api.chatfood.app/Page/Variable/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "pageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "key": "example", "value": "example", "dynamicValue": "example", "type": 0 }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.chatfood.app/Page/Variable/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "pageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "key": "example", "value": "example", "dynamicValue": "example", "type": 0 }'Authorizations
Seção intitulada “Authorizations”Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”id
required
string
Request Body
Seção intitulada “Request Body”object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
pageId
string format: uuid
key
string
value
string
dynamicValue
string
type
integer format: int32
Responses
Seção intitulada “Responses”OK